# Integrations

## Discord Bot

The Discord Bot integration allows for two-way communication between Discord and Minecraft.

## Discord Webhook

The Discord Webhook integration allows for one-way communication, sending messages from Minecraft to Discord. Sending messages from Discord to Minecraft **is not supported**, if you want two-way communication then use the [**Discord Bot Integration**](#discord-bot)**.**

## LuckPerms

The LuckPerms integration provides the following placeholders:

<table><thead><tr><th width="190">Name</th><th width="228">Placeholder</th><th width="100">Context</th><th>Description</th></tr></thead><tbody><tr><td>LuckPerms prefix</td><td><code>{lp_prefix}</code></td><td><mark style="color:green;"><strong>User</strong></mark></td><td><p>Displays the LuckPerms prefix of the player. </p><p><a href="https://luckperms.net/wiki/Prefixes,-Suffixes-&#x26;-Meta">LuckPerms Documentation</a></p></td></tr><tr><td>LuckPerms suffix</td><td><code>{lp_suffix}</code></td><td><mark style="color:green;"><strong>User</strong></mark></td><td>Displays the LuckPerms suffix of the player. <a href="https://luckperms.net/wiki/Prefixes,-Suffixes-&#x26;-Meta">LuckPerms Documentation</a></td></tr><tr><td>LuckPerms group</td><td><code>{lp_group}</code></td><td><mark style="color:green;"><strong>User</strong></mark></td><td>Displays the name of the player's highest priority LuckPerms group.</td></tr><tr><td>LuckPerms display</td><td><code>{lp_group_display}</code></td><td><mark style="color:green;"><strong>User</strong></mark></td><td>Displays the display name of the player's highest priority LuckPerms group.</td></tr><tr><td>LuckPerms meta</td><td><code>{lp_&#x3C;meta_key>}</code></td><td><mark style="color:green;"><strong>User</strong></mark></td><td>Displays the value of the meta key for the player.<br><br>Replace <code>&#x3C;meta_key></code> with the LuckPerms metadat akey you wish to display the value of.<br><br><a href="https://luckperms.net/wiki/Prefixes,-Suffixes-&#x26;-Meta">LuckPerms Documentation</a></td></tr></tbody></table>

## Ultra Permissions

<table><thead><tr><th width="190">Name</th><th width="228">Placeholder</th><th width="100">Context</th><th>Description</th></tr></thead><tbody><tr><td>Ultra Permissions prefix</td><td><code>{lp_prefix}</code></td><td><mark style="color:green;"><strong>User</strong></mark></td><td>Displays the Ultra Permissions prefix of the player</td></tr><tr><td>Ultra Permissions suffix</td><td><code>{lp_suffix}</code></td><td><mark style="color:green;"><strong>User</strong></mark></td><td>Displays the Ultra Permissions suffix of the player</td></tr></tbody></table>

## PremiumVanish

The PremiumVanish integration provides the following placeholders:

<table><thead><tr><th width="214">Name</th><th width="144">Placeholder</th><th width="100">Context</th><th>Description</th></tr></thead><tbody><tr><td>PremiumVanish Status</td><td><code>{vanish}</code></td><td><mark style="color:green;"><strong>User</strong></mark></td><td>Displays the vanish status of the player. The value of this placeholder can be customised in the <a href="/pages/s6ImRkxXBcWEEdksJT2x">config.yml</a> file.</td></tr></tbody></table>

## RedisBungee

The RedisBungee integration allows UltraStaffChatPro to send messages across multiple proxies (or multi-proxy). For this to work, UltraStaffChatPro **must** be installed on all proxies. The ProxioDev fork of RedisBungee, [ValioBungee](https://github.com/ProxioDev/ValioBungee), should also work with UltraStaffChatPro.

**Note: When using the Discord integrations with RedisBungee, only setup the Discord integration on one proxy.**

<table><thead><tr><th width="218">Name</th><th width="142">Placeholder</th><th width="100">Context</th><th>Description</th></tr></thead><tbody><tr><td>RedisBungee Proxy ID</td><td><code>{proxy_id}</code></td><td><mark style="color:green;"><strong>User</strong></mark></td><td>Displays the identifier of the RedisBungee proxy the player is currently connected to.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hypera.dev/products/ultrastaffchatpro/integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
